Warnings
Symitar in Platform
>
Warnings
openapi: 3.0.1
info:
title: Symitar in Platform API - Warnings
version: v1
description: API to interact with Symitar in Platform
contact:
name: Picard
url: https://www.jackhenry.com/
email: DC-Picard-Product@jackhenry.com
servers:
- url: https://platform.banno.com
description: Production Endpoint
components:
securitySchemes:
OpenIDEnterprise:
type: openIdConnect
openIdConnectUrl: https://login.jackhenry.com/.well-known/openid-configuration
description: "Jack Henry Enterprise Authentication. \n\n ### Supported Flows\n \n #### 1. Authorization Code Flow\n * **Use Case:** Person-at-keyboard logins (FI or JH Employees).\n * **Security:** Supports/recommends PKCE (S256). Supports Pushed Authorization Requests (PAR), and DPoP token binding.\n * **Client Auth:** Supports/recommends `client_assertion` (Private Key JWT), also supports `client_secret`.\n \n #### 2. Client Credentials Flow\n * **Use Case:** System services and machine-to-machine integrations.\n * **Security:** Supports DPoP token binding.\n * **Client Auth:** **Requires** `client_assertion` (Private Key JWT).\n"
OpenIDConsumer:
type: openIdConnect
openIdConnectUrl: https://digital.garden-fi.com/.well-known/openid-configuration
description: "Jack Henry Consumer Authentication. \n\n> **WARNING: FI-SPECIFIC ROUTING**\n> The authorization server is currently pointing to our **Sandbox Environment** (`digital.garden-fi.com`) so you can test this documentation. In production code, this domain **must** be replaced with the specific Financial Institution's domain.\n> Example: Replace `{API-ENVIRONMENT}` in `https://{API-ENVIRONMENT}/.well-known/openid-configuration` with `digital.garden-fi.com` for the Garden financial institution.\n\n### Supported Flows\n\n#### 1. Authorization Code Flow\n* **Use Case:** Person-at-keyboard logins (customer or member of FI).\n* **Security:** Supports/recommends PKCE (S256). Supports Pushed Authorization Requests (PAR), and DPoP token binding.\n* **Client Auth:** Supports `client_secret`.\n"
tags:
- name: Warnings
description: Warning code demand and account-user-entitlement operations
paths:
/a/api/picard/v1/{InstitutionUniversalId}/account-user-entitlements/{userId}:
post:
operationId: getAccountUserEntitlements
tags:
- Warnings
summary: Fetches the user entitlements for an account, share, loan, or card
description: |
Displays the allowed and denied entitlements (inquiry, update, transaction)
for a user based on the warning codes present on an account, share, loan, or card.
It evaluates the warning demands against the user's AMS permissions.
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: userId
in: path
required: true
description: The user ID to check permissions for
schema:
type: string
example: user-123
requestBody:
required: true
content:
application/json:
schema:
type: object
description: Request body to fetch user entitlements for a specific account.
required:
- accountNumber
properties:
accountNumber:
type: string
description: The 10-digit account number.
example: '0000001234'
shareId:
type: string
description: Optional share ID to inspect in addition to the account-level warnings.
example: '0001'
loanId:
type: string
description: Optional loan ID to inspect in addition to the account-level warnings.
example: '0001'
cardLocator:
type: string
description: Optional card locator to inspect in addition to the account-level warnings.
example: '99'
responses:
'200':
description: User entitlements successfully fetched
content:
application/json:
schema:
type: object
required:
- entitlements
properties:
entitlements:
type: object
required:
- inquiry
- update
- transaction
properties:
inquiry:
type: boolean
description: Whether the user is allowed to perform inquiry actions based on account warnings.
update:
type: boolean
description: Whether the user is allowed to perform update actions based on account warnings.
transaction:
type: boolean
description: Whether the user is allowed to perform transaction actions based on account warnings.
'400':
description: Bad request — validation error or missing fields
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
/a/api/picard/v1/{InstitutionUniversalId}/warning-code-demands:
post:
operationId: getWarningCodeDemands
tags:
- Warnings
summary: Displays the consolidated warning code demands for an account, share, loan, or card
description: |
Displays the warning code demands (inquiry, file maintenance, transaction)
for the warning codes present on an account, share, loan, or card by
looking them up in the institution's warning configuration.
The demands are aggregated and returned as consolidated, sorted lists of unique codes (> 0).
Account level warning code privileges are included at the share, loan, and card levels.
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- accountNumber
properties:
accountNumber:
type: string
description: Account number to evaluate.
example: 0000379758
shareId:
type: string
description: Optional share ID to inspect in addition to the account-level warnings.
example: '0001'
loanId:
type: string
description: Optional loan ID to inspect in addition to the account-level warnings.
example: '0001'
cardLocator:
type: string
description: Optional card locator to inspect in addition to the account-level warnings.
example: '99'
responses:
'200':
description: Required privileges successfully aggregated
content:
application/json:
schema:
type: object
required:
- warningCodeDemands
properties:
warningCodeDemands:
type: object
required:
- inquiry
- fileMaintenance
- transaction
properties:
inquiry:
type: array
items:
type: integer
description: Unique, non-zero sorted inquiry privilege restriction codes.
example: []
fileMaintenance:
type: array
items:
type: integer
description: Unique, non-zero sorted maintenance privilege restriction codes.
example:
- 1
transaction:
type: array
items:
type: integer
description: Unique, non-zero sorted transaction privilege restriction codes.
example:
- 1
- 2
'400':
description: Bad request — validation error or missing fields
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
/a/api/picard/v1/{InstitutionUniversalId}/warning-codes:
patch:
operationId: updateWarningCode
tags:
- Warnings
summary: Update warning code expiration date
description: |
Updates the expiration date for a warning-code slot on an account.
You can target account-level warnings (default) or one record scope:
share, loan, or card.
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
requestBody:
required: true
content:
application/merge-patch+json:
schema:
type: object
required:
- accountNumber
- entryId
- expirationDate
properties:
accountNumber:
type: string
description: Account number to update.
example: 0000379758
shareId:
type: string
description: Optional share ID to target share-level warning expiration.
example: '0001'
loanId:
type: string
description: Optional loan ID to target loan-level warning expiration.
example: '0001'
cardLocator:
type: string
description: Optional card locator to target card-level warning expiration.
example: '99'
entryId:
type: integer
description: Warning slot index to update (0-19).
minimum: 0
maximum: 19
example: 2
expirationDate:
type: string
description: Warning expiration date in YYYY-MM-DD format.
example: '2026-12-31'
responses:
'200':
description: Warning expiration updated successfully
'400':
description: Bad request — validation error or missing fields
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: general/internal-server-error
title: Internal server error
details:
- Unexpected internal server error
Did this page help you?
Why was this page helpful?
Why wasn't this page helpful?
Thank you for your feedback!
Last updated Tue Sep 15 2026